# IShDebugUtilities Struct Reference
[Shell Utilities]

Utility functions used for debugging. More...

Inheritance diagram for IShDebugUtilities:

List of all members.

## Public Member Functions
virtual void | MC_CallAssert_ (pointer f, uint32 l)=0
virtual void | MC_CallNotify_ (pointer f, uint32 l, const char *message)=0
virtual void | MC_CallNotify_ (pointer f, uint32 l, const char *message, real number)=0
virtual void | MC_CallNotify_ (pointer f, uint32 l, const char *message, real number1, real number2)=0
virtual void | AddReference (const void *object, const void *context)=0
virtual void | RemoveReference (const void *object, const void *context)=0
virtual boolean * | GetStackReference ()=0
virtual boolean * | GetIsReferencingOn ()=0
virtual void | InitCountedObject (TMCCountedObject **&first, TMCCountedObject **&last, TMCSMPCountedObject **&firstSMP, TMCSMPCountedObject **&lastSMP, TMCAtomicCounterHolder *&current, TMCAtomicCounterHolder *&total)=0
virtual TMCLocalStorage * | GetStackReference2 ()=0

## Detailed Description

Utility functions used for debugging.

## Member Function Documentation

virtual void IShDebugUtilities::AddReference | ( | const void * | object,
|  | const void * | context |
| ) |  |  | `[pure virtual]`

virtual boolean* IShDebugUtilities::GetIsReferencingOn | ( |  | ) | `[pure virtual]`

virtual boolean* IShDebugUtilities::GetStackReference | ( |  | ) | `[pure virtual]`

virtual TMCLocalStorage* IShDebugUtilities::GetStackReference2 | ( |  | ) | `[pure virtual]`

virtual void IShDebugUtilities::InitCountedObject | ( | TMCCountedObject **& | first,
|  | TMCCountedObject **& | last,
|  | TMCSMPCountedObject **& | firstSMP,
|  | TMCSMPCountedObject **& | lastSMP,
|  | TMCAtomicCounterHolder *& | current,
|  | TMCAtomicCounterHolder *& | total |
| ) |  |  | `[pure virtual]`

virtual void IShDebugUtilities::MC_CallAssert_ | ( | pointer | f,
|  | uint32 | l |
| ) |  |  | `[pure virtual]`

virtual void IShDebugUtilities::MC_CallNotify_ | ( | pointer | f,
|  | uint32 | l,
|  | const char * | message,
|  | real | number1,
|  | real | number2 |
| ) |  |  | `[pure virtual]`

virtual void IShDebugUtilities::MC_CallNotify_ | ( | pointer | f,
|  | uint32 | l,
|  | const char * | message,
|  | real | number |
| ) |  |  | `[pure virtual]`

virtual void IShDebugUtilities::MC_CallNotify_ | ( | pointer | f,
|  | uint32 | l,
|  | const char * | message |
| ) |  |  | `[pure virtual]`

virtual void IShDebugUtilities::RemoveReference | ( | const void * | object,
|  | const void * | context |
| ) |  |  | `[pure virtual]`

The documentation for this struct was generated from the following file:

- IShDebugUtilities.h